EDIT - feature request #8193

TaxonNamePopupEditor: add select form element for Nomenclatural status
03/21/2019 06:46 PM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.7

Severity: critical

Description

Enable to add a nomenclatural status from a subset of status (see TaxEditor).
Exception invalid name in valitation = in evry case = inval.

® nom. cons.

® nom. cons. prop.

® nom. rej.

e nom. rej. prop.

nom. orth. cons.

nom. orth. cons. prop.
nom. illeg.

nom. inval.

if any of these entries is selected, the following should be shown:
¢ Reference (code ICN)
¢ Reference Detail
¢ Rule considered

[Workaround: go into TaxEditor, search for the name, select status, save]

The status is a set of NomenclaturalStatus in the model, that means we need to allow in principle for multiple selections here. The
NameEditor needs to be configurable to limit the select element to only one entry.

Associated revisions

Revision 3215b084 - 04/30/2019 03:05 PM - Andreas Kohlbecker

ref #8193 collection setter for TaxonName.status

Revision 0aa1233b - 04/30/2019 03:06 PM - Andreas Kohlbecker

fix #8193 ElementCollectionField to edit nomenclatural status in TaxonNamePopupEditor

Revision c9c5ab2b - 05/06/2019 10:51 AM - Andreas Kohlbecker

ref #8193 using abbreviated label for status types

Revision 5cf2b1f1 - 05/06/2019 03:26 PM - Andreas Kohlbecker

ref #8198 fixing layout problem related to width nom status widget

History

#1 - 03/21/2019 06:48 PM - Andreas Kohlbecker
- Subject changed from Nomenclatural status to TaxonNamePopupEditor: add select form element for Nomenclatural status
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.6

#2 - 03/22/2019 10:18 AM - Andreas Kohlbecker

- Description updated
#3 - 03/22/2019 10:21 AM - Andreas Kohlbecker

- Description updated

#4 - 03/22/2019 10:24 AM - Andreas Kohlbecker

- Description updated

#5 - 03/22/2019 10:25 AM - Andreas Kohlbecker
- Priority changed from Highest to Priority14

- Severity changed from normal to critical

#6 - 03/27/2019 02:29 PM - Andreas Kohlbecker
- Priority changed from Priority14 to Highest

#7 - 04/11/2019 05:38 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Release 5.7

#8 - 04/30/2019 03:06 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|0aa1233b1d58610d498e17aeb13858211d09d49b.

#9 - 04/30/2019 07:53 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

ready to be reviewed.

#10 - 04/30/2019 08:44 PM - Wolf-Henning Kusber
- File picture914-1.png added

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

Thanks for the implementation
Tested with one and two status, entering and saving without problems, fine.
...but in this form it should not go into production.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/0aa1233b1d58610d498e17aeb13858211d09d49b
Editorial notes

Achtung: Nomenclatural reference can not be handled (layout), button not available.

1. List can not be shown to colleagues. For PhycoBank only the terms as shown in the description are needed.

2. We discussed that we only need one Status type (if possible to hinder the new entry in this case)

3. When we put the Reference detail into the description, it was because it is in the CDM. Users do not need this this field for page numbers
because the code is used mostly in its electronic version. If the Reference detail would be hidden, we had no layout problem, right? [4. Excurs: It
would be interesting to link to the respective Article in the ICN, but | guess the Reference detail is the wrong type of field, because a URL field
would be necessary. This is a discussion point with low priority]

#11 - 05/06/2019 07:33 PM - Wolf-Henning Kusber
- % Done changed from 50 to 90

Tested 2019-05-06:

1. Labeles okay, too much entries but this can be solved later
2. Test system has again full functionality (Number 1, see screen shot solved, button for references available)

#12 - 05/06/2019 07:36 PM - Wolf-Henning Kusber

a minor issue: typing in status data, e.g. Article, a small grey area is shown on the status bar (in my browser)

#13 - 05/16/2019 02:36 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 90 to 100

| don't have this little grey box in my status bar while typing. | think we should just ignore this little artifact ans close the issue.
Files

picture914-1.png 88.1 KB 04/30/2019 Wolf-Henning Kusber
